<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:31:52 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.cpp.codegen.ui 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.cpp.codegen.ui 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#addTextField-java.lang.String-java.lang.String-org.eclipse.jface.text.Document-">addTextField(String, String, Document)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers"><span class="typeNameLink">CDTprojectHandler</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers</a></dt>
<dd>
<div class="block">Handler for C++ code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html#CDTprojectHandler--">CDTprojectHandler()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">CDTprojectHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences"><span class="typeNameLink">CodegenPreferencePage</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences</a></dt>
<dd>
<div class="block">This class represents a preference page that is contributed to the
 Preferences dialog.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#CodegenPreferencePage--">CodegenPreferencePage()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#createFieldEditors--">createFieldEditors()</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>
<div class="block">Creates the field editors.</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute(ExecutionEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">CDTprojectHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute(ExecutionEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">GenerateCodeHandler</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#generate-org.eclipse.papyrus.designer.languages.cpp.codegen.transformation.CppModelElementsCreator-org.eclipse.uml2.uml.PackageableElement-org.eclipse.emf.common.util.EList-boolean-">generate(CppModelElementsCreator, PackageableElement, EList&lt;PackageableElement&gt;, boolean)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">GenerateCodeHandler</a></dt>
<dd>
<div class="block">Generate code for a passed packageable element and the elements required by it (in the sense of #included statements)</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers"><span class="typeNameLink">GenerateCodeHandler</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers</a></dt>
<dd>
<div class="block">Handler for C++ code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#GenerateCodeHandler--">GenerateCodeHandler()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">GenerateCodeHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#init-org.eclipse.ui.IWorkbench-">init(IWorkbench)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html#isEnabled--">isEnabled()</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/CDTprojectHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">CDTprojectHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html#isEnabled--">isEnabled()</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/GenerateCodeHandler.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers">GenerateCodeHandler</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui</a> - package org.eclipse.papyrus.designer.languages.cpp.codegen.ui</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/handlers/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers</a> - package org.eclipse.papyrus.designer.languages.cpp.codegen.ui.handlers</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences</a> - package org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#performDefaults--">performDefaults()</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html#performOk--">performOk()</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/preferences/CodegenPreferencePage.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui.preferences">CodegenPreferencePage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.cpp.codegen.ui.<a href="org/eclipse/papyrus/designer/languages/cpp/codegen/ui/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.codegen.ui">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
